package m05bPiezasRepaEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bPiezasRepa;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05PiezasRepaEB</tt>.
 *
 * @see     m05.exe.PiezasRepa 
 * @see     m05.exe.M05PiezasRepaEBHome
 * @see     m05.exe.M05PiezasRepaEBPK
 * @see     m05.exe.M05PiezasRepaEBBean 
 */
public interface m05PiezasRepa extends EJBObject{

  public String getPir_codigo()throws RemoteException;  
  public void setPir_codigo(String n)throws RemoteException;  
  
  public String getPir_descrip()throws RemoteException;  
  public void setPir_descrip(String n)throws RemoteException;  

  public String getPir_orden()throws RemoteException;  
  public void setPir_orden(String n)throws RemoteException;
  
  public String getPir_pieza()throws RemoteException;  
  public void setPir_pieza(String n)throws RemoteException;  

  public String getPir_cantidad()throws RemoteException;  
  public void setPir_cantidad(String n)throws RemoteException;  
  
  public String getPir_preciou()throws RemoteException;  
  public void setPir_preciou(String n)throws RemoteException;
  
  public String getPir_total()throws RemoteException;  
  public void setPir_total(String n)throws RemoteException;
  


  /**
   * Returns the Reparacion information of this E-EJB.
   */   
  public m05bPiezasRepa getPiezasRepa()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException 
   *              If the given Reparacion <tt>pir_codigo</tt>
   *					  <tt>pir_orden</tt>
   *   					  <tt>pir_pieza</tt> fields 
   *              does not match the primary key that is in the E-EJB.
   */     


}